Create a comment

Create a comment on a post

Creates a new comment on a post. Returns a comment object.

📘

API key

You will need to include your API key found here.

Please include the key in your header. {"X-API-KEY": <api_key>}

🔒

Authorization required

This endpoint requires access to the board. You must have commenting permissions on the board to create comments.

{
  "data": {
    "type": "comment",
    "attributes": {
      "htmlContent": "<p>Great point, thanks for sharing!</p>",
      "attachment": {
        "url": "https://cdn.padlet.dev/uploads/image.png"
      }
    }
  }
}

Body parameters

* required

PropertiesTypeDescription
type*stringType must be set to comment.
attributes.htmlContentstringSanitized HTML content of the comment.
attributes.attachmentobject

Attachment object. Currently only supports a single url field.

attachment.url should be a public URL to the attachment (e.g. image, file).

📝

Content requirements

At least one of htmlContent or attachment must be present. You can include both in a single comment.

Path Params
string
required

The unique identifier of the post to comment on

Body Params

Resource object for the comment to be created

data
object
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.api+json